From a480b0a18749bc6c38488d97d8570f208186058a Mon Sep 17 00:00:00 2001
From: Emmanuel de Roux <lostbread@free.fr>
Date: Fri, 12 Feb 2010 17:41:41 +0100
Subject: [PATCH] macosx/framework: Added [VLCMediaList initWithArray:] method

---
 projects/macosx/framework/Sources/VLCMediaList.m |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/projects/macosx/framework/Sources/VLCMediaList.m b/projects/macosx/framework/Sources/VLCMediaList.m
index 6001be0..8322d16 100644
--- a/projects/macosx/framework/Sources/VLCMediaList.m
+++ b/projects/macosx/framework/Sources/VLCMediaList.m
@@ -86,6 +86,14 @@ static void HandleMediaListItemDeleted( const libvlc_event_t * event, void * use
     return self;
 }
 
+- (id)initWithArray:(NSArray *)array
+{
+    [self init];
+    for (int i = 0; i < [array count]; i++)
+        [self addMedia:(VLCMedia *)[array objectAtIndex:i]];
+    return self;
+}
+
 - (void)release
 {
     @synchronized(self)
-- 
1.6.2

